# gdcm::UNExplicitDataElement Class Reference

Class to read/write a DataElement as UNExplicit Data Element. More...

`#include <gdcmUNExplicitDataElement.h>`

Inheritance diagram for gdcm::UNExplicitDataElement:
[legend]
Collaboration diagram for gdcm::UNExplicitDataElement:
[legend]

List of all members.

## Public Member Functions

VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)

## Detailed Description

Class to read/write a DataElement as UNExplicit Data Element.

Note:
  bla

## Member Function Documentation

VL gdcm::UNExplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::UNExplicitDataElement::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::UNExplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length |
| ) |  |  | `[inline]`

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmUNExplicitDataElement.h